
$silka-regular-woff-font-path: "/assets/fonts/silka/silka-regular.woff";
$silka-regular-woff2-font-path: "/assets/fonts/silka/silka-regular.woff2";
$font-family-brand-silka: 'silka';
$icon-color: #818181;
$text-color: #030303;
$background-color:#f9fafb;
@font-face {
    font-family: $font-family-brand-silka;
    src:url($silka-regular-woff2-font-path) format('woff2'),
        url($silka-regular-woff-font-path) format('woff');
    font-weight: normal;
    font-style: normal;
}

@mixin box-shadow {
    -webkit-box-shadow: 0px 1px 7px 1px rgba(206,206,206,1);
    -moz-box-shadow: 0px 1px 7px 1px rgba(206,206,206,1);
    box-shadow: 0px 1px 7px 1px rgba(206,206,206,1);
}

@mixin border-radius($param) {
    border: none;
    border-radius: $param;
}

@mixin svg-base {
    width: 22px;
    height: 22px;
    fill: $icon-color;
}

.container {
    padding: 15px;
    margin-right: auto;
    margin-left: auto;
    box-sizing: border-box;
    max-width: 1440px;
    width: 100%;
    background-color: $background-color;
    font-family: $font-family-brand-silka;
}

.input-wrapper {
    margin: 20px auto;
    text-align: center;
    position: relative;
    width: 500px;
    color: $text-color;
    svg {
        @include svg-base;
        position: absolute;
        top: 16px;
        left: 30px;
    }
    > input {
        @include box-shadow;
        @include border-radius(30px);
        padding: 20px 20px 20px 50px;
        width: 400px;
        outline: none;
    }
}



.sort-container {
    position: relative;
    width: 570px;
    margin: 0 auto;
    color: $text-color;
    .sort {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        margin-left: 70px;
        font-size: 12px;
        .sort-chip {
            @include box-shadow;
            @include border-radius(30px);
            background-color: #ffffff;
            cursor: pointer;
            outline: none;
            max-width: 200px;
            padding: 10px;
            display: flex;
            margin-bottom: 10px;
            svg {
                padding: unset;
                @include svg-base;
                padding-left: 6px;
            }
            &.active {
                color: #1c44b4;
            }
            .chip-content{
                padding: 3px 0 0 3px;
            }
        }
        .reset{
            margin-left: 40px;
        }
    }
    .sort-by-text {
        position: absolute;
        top: 10px;
    }
}

.quote-cards-container {
    display: flex;
    flex-wrap: nowrap;
    max-width: 1440px;
    .quote-cards {
        flex: 100% 1 1;
        justify-content: stretch;
        max-width: 50%;
        margin-left: 7.5px;
        margin-right: 7.5px;
        margin-top: 40px;
        color: $text-color;
        .quote-card {
            @include box-shadow;
            @include border-radius(8px);
            background-color: #ffffff;
            width: 100%;
            margin-bottom: 15px;
            position: relative;
            display: block;
            .card-header {
                display: flex;
                justify-content: space-between;
                padding: 20px;
                svg {
                    @include svg-base;
                    &:first-child {
                        fill: #1c44b4;
                    }
                }
            }
            .card-content {
                font-weight: bold;
                font-size: 16px;
                padding: 0 40px 40px 40px ;
            }
            .card-chips {
                display: flex;
                font-size: 12px;
                padding: 0 40px 40px 40px ;
                .card-chip {
                    color: #a0a0a0;
                    border: 1px solid #a0a0a0;
                    border-radius: 35px;
                    display: inline-block;
                    padding: 7px;
                    margin-right: 10px;
                }
            }
            .meta {
                color: #a0a0a0;
                font-size: 12px;
                padding: 0 40px 40px 40px ;
            }
        }
    }
}
@media only screen and (max-width: 320px) {
    .container {
        overflow: auto;
        white-space: nowrap;
    }
}
@media only screen and (max-width: 720px) {
    .sort-container {
        width: 100%;
        max-width: 570px;
        .sort {
            .reset{
                margin-left: 0;
            }
        }
    }
    .input-wrapper {
        max-width: 500px;
        width: 100%;
        > input {
            width: 80%;
            padding: 20px 0 20px 50px;
        }
    }

    .quote-cards-container {
        width: 100%;
        .quote-cards {
            max-width: 100%;
        }
    }
}
